<?php
/*
Plugin Name: WP All Import - All In One SEO Add-On
Plugin URI: http://www.wpallimport.com/
Description: Import data into All In One SEO with WP All Import.
Version: 1.0.7
Author: Soflyy
*/


/* Setup */
include "rapid-addon.php";
$wpai_aioseo = new RapidAddon('All In One SEO Add-On', 'wpai_all_in_one_seo');

$wpai_aioseo_help = "When using XPath: use 'on' to enable or any other value to disable";

$wpai_aioseo_radio = array(
    '_not_selected' => 'Disable',
    '_selected' => 'Enable',
);

$wpai_aioseo_radio_yn = array(
    '_not_selected' => 'No',
    '_selected' => 'Yes',
);


$wpai_aioseo->add_field('_aioseop_title', 'Title', 'text');
$wpai_aioseo->add_field('_aioseop_description', 'Description', 'text');
$wpai_aioseo->add_field('_aioseop_keywords', 'Keywords (comma separated)', 'text');
$wpai_aioseo->add_field('_aioseop_custom_link', 'Custom Canonical URL', 'text');

$wpai_aioseo->add_options(false, 'Advanced', array(
    $wpai_aioseo->add_field('_aioseop_noindex', 'Robots Meta NOINDEX', 'radio', $wpai_aioseo_radio, $wpai_aioseo_help),
    $wpai_aioseo->add_field('_aioseop_nofollow', 'Robots Meta NOFOLLOW', 'radio', $wpai_aioseo_radio, $wpai_aioseo_help),
    $wpai_aioseo->add_field('_aioseop_noodp', 'Robots Meta NOODP', 'radio', $wpai_aioseo_radio, $wpai_aioseo_help),
    $wpai_aioseo->add_field('_aioseop_noydir', 'Robots Meta NOYDIR', 'radio', $wpai_aioseo_radio, $wpai_aioseo_help),

    $wpai_aioseo->add_field('_aioseop_disable', 'Disable SEO on this page/post', 'radio',
        array(
		'_not_selected' => 'No',
		'_selected' => array('Yes', $wpai_aioseo->add_field('_aioseop_disable_analytics', 'Disable Google Analytics on this page/post', 'radio', $wpai_aioseo_radio_yn, $wpai_aioseo_help)),
        ),"Disable SEO on this page"
    ),

));

if ( !function_exists( 'is_plugin_active' ) ) {
    require_once ABSPATH . 'wp-admin/includes/plugin.php';
}
/* Check dependent plugins */
if ( !is_plugin_active( "all-in-one-seo-pack/all_in_one_seo_pack.php" ) && !is_plugin_active( "all-in-one-seo-pack-pro/all_in_one_seo_pack.php" ) ) {
    $wpai_aioseo->admin_notice('The All In One SEO Add-On requires WP All Import <a href="http://www.wpallimport.com/order-now/?utm_source=free-plugin&utm_medium=dot-org&utm_campaign=all-in-one-seo" target="_blank">Pro</a> or <a href="http://wordpress.org/plugins/wp-all-import" target="_blank">Free</a>, and the <a href="https://wordpress.org/plugins/all-in-one-seo-pack/">All In One SEO</a> plugin.',
        array('plugins' => array('all-in-one-seo-pack/all_in_one_seo_pack.php', 'all-in-one-seo-pack-pro/all_in_one_seo_pack.php'))
    );
}

/* Do import */
$wpai_aioseo->set_import_function('wpai_all_in_one_seo_import');
if ( is_plugin_active( "all-in-one-seo-pack-pro/all_in_one_seo_pack.php" ) ) {
    $wpai_aioseo->run(
        array(
            "plugins" => array(
                "all-in-one-seo-pack-pro/all_in_one_seo_pack.php",
            ))
    );
}
else {
    $wpai_aioseo->run(
        array(
            "plugins" => array(
                "all-in-one-seo-pack/all_in_one_seo_pack.php",
            ))
    );
}

/**
 * Import function
 *
 */
function wpai_all_in_one_seo_import($post_id, $data, $options, $article)
{
    global $wpai_aioseo;

    foreach ($data as $key => $value) {
        // Check if it's a valid key and can be updated.
        if (empty($article['ID']) or $wpai_aioseo->can_update_meta($key, $options)) {
            // Handle based on field type
            if(in_array($key,array(
                '_aioseop_noindex',
                '_aioseop_nofollow',
                '_aioseop_noodp',
                '_aioseop_noydir',
                '_aioseop_disable',
                '_aioseop_disable_analytics',
			))) {
				// Radio inputs
				if ( $value == '_selected' || $value == 'on') {
					update_post_meta( $post_id, $key, 'on' );
				} else {
					delete_post_meta( $post_id, $key );
				}
			} else {
				update_post_meta($post_id, $key, $value);
            }
        }
    }
}
